# Generated by Django 4.1.4 on 2024-04-16 03:25

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='approval_comment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comments', models.CharField(max_length=256)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_edited', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name_plural': 'Approval Comments',
            },
        ),
        migrations.CreateModel(
            name='Bank',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Banks',
            },
        ),
        migrations.CreateModel(
            name='BankAccounts',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('account_number', models.CharField(blank=True, max_length=50, null=True)),
                ('account_name', models.CharField(blank=True, max_length=50, null=True)),
                ('opening_date', models.DateField(blank=True, null=True)),
                ('account_type', models.CharField(blank=True, choices=[('savings', 'savings'), ('current', 'current')], max_length=50, null=True)),
                ('opening_balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('current_balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('bank_branch', models.CharField(blank=True, max_length=50, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('bank', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.bank')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Bank Accounts',
            },
        ),
        migrations.CreateModel(
            name='BatchPaleting',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('batch_number', models.CharField(max_length=50)),
                ('active', models.BooleanField(default=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='CompanyLocation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('phone', models.CharField(blank=True, max_length=50, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Company Locations',
            },
        ),
        migrations.CreateModel(
            name='CreditSaleApproval',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sales_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('sales_id', models.CharField(blank=True, default='PD-123', max_length=50, null=True)),
                ('customer', models.CharField(blank=True, max_length=64, null=True)),
                ('total_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('selling_price', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('total_discount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('net_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('paid_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.DateTimeField(blank=True, null=True)),
                ('bank', models.CharField(blank=True, max_length=64, null=True)),
                ('bank_branch', models.CharField(blank=True, max_length=50, null=True)),
                ('momo', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cash', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('visa', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('payee_name', models.CharField(blank=True, max_length=64, null=True)),
                ('discount_authorizer', models.CharField(blank=True, max_length=64, null=True)),
                ('credit_authorizer', models.CharField(blank=True, max_length=64, null=True)),
                ('sale_type', models.CharField(blank=True, max_length=64, null=True)),
                ('status', models.CharField(blank=True, choices=[('Pending', 'Pending'), ('Approve', 'Approve'), ('Reject', 'Reject')], default='Pending', max_length=64, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('approved_rejected_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='approved_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('comments', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='dashboard.approval_comment')),
                ('company_location', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Credit Sale Approval',
            },
        ),
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('phone', models.CharField(blank=True, max_length=50, null=True)),
                ('email', models.EmailField(blank=True, max_length=50, null=True)),
                ('address', models.CharField(blank=True, max_length=50, null=True)),
                ('debit', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('credit', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('creditLimit', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('total_credit', models.DecimalField(blank=True, decimal_places=2, default=0, max_digits=10)),
                ('total_paid', models.DecimalField(blank=True, decimal_places=2, default=0, max_digits=10)),
                ('balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('opening_balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('is_active', models.BooleanField(default=True)),
                ('registration_date', models.DateField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Customers',
            },
        ),
        migrations.CreateModel(
            name='CustomerData',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=50)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name_plural': 'Customer Database',
            },
        ),
        migrations.CreateModel(
            name='Package',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Packages',
            },
        ),
        migrations.CreateModel(
            name='PaymentMode',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Payment Modes',
            },
        ),
        migrations.CreateModel(
            name='ProductCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('description', models.CharField(blank=True, max_length=50, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Product Categories',
            },
        ),
        migrations.CreateModel(
            name='ProductPrice',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('qty_in_package', models.IntegerField(default=1)),
                ('stockLevel', models.IntegerField(default=0)),
                ('cost_price', models.DecimalField(decimal_places=2, default=0.0, max_digits=10)),
                ('VAT', models.DecimalField(decimal_places=2, default=0.0, max_digits=10)),
                ('NHIL', models.DecimalField(decimal_places=2, default=0.0, max_digits=10)),
                ('margin', models.DecimalField(decimal_places=2, default=0.0, max_digits=10)),
                ('selling_price', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('sale_type', models.CharField(blank=True, choices=[('retail', 'retail'), ('wholesale', 'wholesale')], max_length=50, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('companylocation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('package', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.package')),
            ],
            options={
                'verbose_name_plural': 'Product Prices',
            },
        ),
        migrations.CreateModel(
            name='Protocol',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sales_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('sales_id', models.CharField(blank=True, default='PC-123', max_length=50, null=True)),
                ('customer', models.CharField(blank=True, max_length=64, null=True)),
                ('total_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('net_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('status', models.BooleanField(default=False)),
                ('stock_approval_date', models.DateTimeField(blank=True, null=True)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('company_location', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('status_approved_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='protocol', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Protocols',
            },
        ),
        migrations.CreateModel(
            name='Sales',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sales_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('sales_id', models.CharField(blank=True, default='PD-123', max_length=50, null=True)),
                ('customer', models.CharField(blank=True, max_length=64, null=True)),
                ('customer_phone', models.CharField(blank=True, max_length=64, null=True)),
                ('total_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('selling_price', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('total_discount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('net_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('paid_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.DateTimeField(blank=True, null=True)),
                ('bank', models.CharField(blank=True, max_length=64, null=True)),
                ('bank_branch', models.CharField(blank=True, max_length=50, null=True)),
                ('momo', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cash', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('visa', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('payee_name', models.CharField(blank=True, max_length=64, null=True)),
                ('discount_authorizer', models.CharField(blank=True, max_length=64, null=True)),
                ('sale_type', models.CharField(blank=True, max_length=64, null=True)),
                ('status', models.BooleanField(default=False)),
                ('stock_approval_date', models.DateTimeField(blank=True, null=True)),
                ('cedi1', models.IntegerField(default=0)),
                ('cedi2', models.IntegerField(default=0)),
                ('cedi5', models.IntegerField(default=0)),
                ('cedi10', models.IntegerField(default=0)),
                ('cedi20', models.IntegerField(default=0)),
                ('cedi50', models.IntegerField(default=0)),
                ('cedi100', models.IntegerField(default=0)),
                ('cedi200', models.IntegerField(default=0)),
                ('gp10', models.IntegerField(default=0)),
                ('gp20', models.IntegerField(default=0)),
                ('gp50', models.IntegerField(default=0)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('company_location', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('credit_customer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.customer')),
                ('status_approved_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='status', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Sales',
            },
        ),
        migrations.CreateModel(
            name='stockPurchase',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stock_purchase_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('stock_purchase_id', models.CharField(blank=True, default='STF-123', max_length=50, null=True)),
                ('sales_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('total_amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('total_discount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('net_amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('paid_amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.CharField(blank=True, max_length=50, null=True)),
                ('bank', models.CharField(blank=True, max_length=64, null=True)),
                ('bank_branch', models.CharField(blank=True, max_length=50, null=True)),
                ('momo', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cash', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('visa', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('payee_name', models.CharField(blank=True, max_length=64, null=True)),
                ('product', models.CharField(blank=True, max_length=64, null=True)),
                ('package', models.CharField(blank=True, max_length=64, null=True)),
                ('unit_price', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('qty', models.CharField(blank=True, max_length=64, null=True)),
                ('discount_authorizer', models.CharField(blank=True, max_length=64, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('CompanyLocation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Stock Transfers',
            },
        ),
        migrations.CreateModel(
            name='UserActivitiesReport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('activity', models.CharField(max_length=250)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Supplier',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('phone', models.CharField(blank=True, max_length=50, null=True)),
                ('email', models.EmailField(blank=True, max_length=50, null=True)),
                ('address', models.CharField(blank=True, max_length=50, null=True)),
                ('debit', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('credit', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('is_active', models.BooleanField(default=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Suppliers',
            },
        ),
        migrations.CreateModel(
            name='stockTransfer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('stock_transfer_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('stock_transfer_id', models.CharField(blank=True, default='STF-123', max_length=50, null=True)),
                ('sales_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('customer', models.CharField(blank=True, max_length=64, null=True)),
                ('total_amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('selling_price', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('total_discount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('net_amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('paid_amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.DateTimeField(blank=True, null=True)),
                ('bank', models.CharField(blank=True, max_length=64, null=True)),
                ('bank_branch', models.CharField(blank=True, max_length=50, null=True)),
                ('momo', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cash', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('visa', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('payee_name', models.CharField(blank=True, max_length=64, null=True)),
                ('product', models.CharField(blank=True, max_length=64, null=True)),
                ('package', models.CharField(blank=True, max_length=64, null=True)),
                ('unit_price', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('qty', models.CharField(blank=True, max_length=64, null=True)),
                ('discount_authorizer', models.CharField(blank=True, max_length=64, null=True)),
                ('productprice_id', models.IntegerField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('from_company', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='from_%(class)s_set', to='dashboard.companylocation')),
                ('to_company', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='to_%(class)s_set', to='dashboard.companylocation')),
            ],
            options={
                'verbose_name_plural': 'Stock Transfers',
            },
        ),
        migrations.CreateModel(
            name='StockRequisitionReturn',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('invoicce_number', models.CharField(blank=True, default='N/A', max_length=50, null=True)),
                ('balance', models.IntegerField(default=0)),
                ('srv_no', models.CharField(max_length=20)),
                ('supplied_to', models.CharField(blank=True, max_length=50, null=True)),
                ('on_account_of', models.CharField(blank=True, max_length=50, null=True)),
                ('qty', models.IntegerField(default=0)),
                ('product_owner', models.CharField(blank=True, max_length=50, null=True)),
                ('recipient', models.CharField(blank=True, max_length=50, null=True)),
                ('cashier', models.CharField(blank=True, max_length=50, null=True)),
                ('stock_keeper', models.CharField(blank=True, max_length=50, null=True)),
                ('date', models.DateField(default=django.utils.timezone.now)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('productprice', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.productprice')),
            ],
            options={
                'verbose_name_plural': 'Stock Requisition',
            },
        ),
        migrations.CreateModel(
            name='StockPurchasePayment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payment_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('paid_by', models.CharField(default=None, max_length=50)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.DateTimeField(blank=True, null=True)),
                ('bank_branch', models.CharField(blank=True, max_length=50, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('bank', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.bank')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('payment_mode', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.paymentmode')),
                ('supplier', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.supplier')),
            ],
            options={
                'verbose_name_plural': 'Stock Purchase Payments',
            },
        ),
        migrations.CreateModel(
            name='StockPurchaseItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product', models.CharField(max_length=50)),
                ('package', models.CharField(max_length=50)),
                ('total', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('new_selling_price', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('new_stock', models.CharField(blank=True, max_length=64, null=True)),
                ('qty', models.CharField(blank=True, max_length=50, null=True)),
                ('unit_discount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('productprice_id', models.IntegerField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('sales', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dashboard.stockpurchase')),
            ],
            options={
                'verbose_name_plural': 'Sale Items',
            },
        ),
        migrations.AddField(
            model_name='stockpurchase',
            name='supplier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.supplier'),
        ),
        migrations.CreateModel(
            name='Stock',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('trans_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('description', models.CharField(blank=True, max_length=50, null=True)),
                ('invoicce_number', models.CharField(blank=True, default='N/A', max_length=50, null=True)),
                ('inward', models.IntegerField(default=0)),
                ('outward', models.IntegerField(default=0)),
                ('balance', models.IntegerField(default=0)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('productprice', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.productprice')),
            ],
            options={
                'verbose_name_plural': 'Stocks',
            },
        ),
        migrations.CreateModel(
            name='SalesItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product', models.CharField(max_length=50)),
                ('package', models.CharField(max_length=50)),
                ('total', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('qty', models.CharField(blank=True, max_length=50, null=True)),
                ('unit_discount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('productprice_id', models.IntegerField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('batch_number1', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='Batch_number1', to='dashboard.batchpaleting')),
                ('batch_number2', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='Batch_number2', to='dashboard.batchpaleting')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('sales', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dashboard.sales')),
            ],
            options={
                'verbose_name_plural': 'Sale Items',
            },
        ),
        migrations.CreateModel(
            name='ReturnedSalesItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product', models.CharField(max_length=50)),
                ('package', models.CharField(max_length=50)),
                ('total', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('qty', models.CharField(blank=True, max_length=50, null=True)),
                ('unit_discount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('productprice_id', models.IntegerField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('sales', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dashboard.sales')),
            ],
            options={
                'verbose_name_plural': 'Sale Items',
            },
        ),
        migrations.CreateModel(
            name='ReturnedSales',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sales_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('sales_id', models.CharField(blank=True, default='PD-123', max_length=50, null=True)),
                ('customer', models.CharField(blank=True, max_length=64, null=True)),
                ('total_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('selling_price', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('total_discount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('net_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('paid_amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('balance', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.DateTimeField(blank=True, null=True)),
                ('bank', models.CharField(blank=True, max_length=64, null=True)),
                ('bank_branch', models.CharField(blank=True, max_length=50, null=True)),
                ('momo', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cash', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('visa', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('payee_name', models.CharField(blank=True, max_length=64, null=True)),
                ('discount_authorizer', models.CharField(blank=True, max_length=64, null=True)),
                ('sale_type', models.CharField(blank=True, max_length=64, null=True)),
                ('status', models.BooleanField(default=False)),
                ('stock_approval_date', models.DateTimeField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('company_location', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='CreatedBy', to=settings.AUTH_USER_MODEL)),
                ('credit_customer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.customer')),
                ('returned_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='ReturnedSalesBy', to=settings.AUTH_USER_MODEL)),
                ('status_approved_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='ApprovedBy', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Sales',
            },
        ),
        migrations.CreateModel(
            name='ProtocolSaleItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product', models.CharField(max_length=50)),
                ('package', models.CharField(max_length=50)),
                ('total', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('qty', models.CharField(blank=True, max_length=50, null=True)),
                ('productprice_id', models.IntegerField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('sales', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dashboard.protocol')),
            ],
            options={
                'verbose_name_plural': 'Protocol Sale Items',
            },
        ),
        migrations.CreateModel(
            name='Products',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('reorderLevel', models.IntegerField(default=0)),
                ('is_active', models.BooleanField(default=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('baseUnit', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.package')),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.productcategory')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Products',
            },
        ),
        migrations.AddField(
            model_name='productprice',
            name='product',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.products'),
        ),
        migrations.CreateModel(
            name='ExpenseType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Expense Types',
            },
        ),
        migrations.CreateModel(
            name='Expenses',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('expense_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('description', models.CharField(blank=True, max_length=125, null=True)),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.DateField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('bank_account', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.bankaccounts')),
                ('companylocation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='edited_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('expense_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.expensetype')),
                ('payment_mode', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.paymentmode')),
            ],
            options={
                'verbose_name_plural': 'Expenses',
            },
        ),
        migrations.CreateModel(
            name='CustomerStatementReport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('transaction_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('transaction_number', models.CharField(blank=True, default='', max_length=10, null=True)),
                ('description', models.CharField(max_length=100)),
                ('debit', models.DecimalField(decimal_places=2, max_digits=12)),
                ('credit', models.DecimalField(decimal_places=2, max_digits=12)),
                ('balance', models.DecimalField(decimal_places=2, max_digits=12)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='dashboard.customer')),
            ],
        ),
        migrations.CreateModel(
            name='CreditSalePayment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payment_date', models.DateTimeField()),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('paid_by', models.CharField(default=None, max_length=50)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.DateTimeField(blank=True, null=True)),
                ('bank_branch', models.CharField(blank=True, max_length=50, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('bank', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.bank')),
                ('company_location', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('customer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.customer')),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('payment_mode', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.paymentmode')),
            ],
            options={
                'verbose_name_plural': 'Credit Sale Payments',
            },
        ),
        migrations.CreateModel(
            name='CreditSaleApprovalItems',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product', models.CharField(max_length=50)),
                ('package', models.CharField(max_length=50)),
                ('total', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10)),
                ('qty', models.CharField(blank=True, max_length=50, null=True)),
                ('unit_discount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('productprice_id', models.IntegerField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('sales', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='dashboard.creditsaleapproval')),
            ],
            options={
                'verbose_name_plural': 'Credit Sale Approval Items',
            },
        ),
        migrations.AddField(
            model_name='creditsaleapproval',
            name='credit_customer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.customer'),
        ),
        migrations.CreateModel(
            name='CompanyProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default=None, max_length=50)),
                ('email', models.EmailField(blank=True, max_length=50, null=True)),
                ('phone', models.CharField(blank=True, max_length=50, null=True)),
                ('address', models.CharField(blank=True, max_length=256, null=True)),
                ('website', models.CharField(blank=True, max_length=50, null=True)),
                ('vatNo', models.CharField(blank=True, max_length=50, null=True)),
                ('vatRate', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('NHIL_Rate', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('A4_Printer', models.BooleanField(default=False)),
                ('no_of_receipts', models.IntegerField(default=0)),
                ('show_vat', models.BooleanField(default=False)),
                ('firstTextBelowReceipt', models.CharField(blank=True, max_length=50, null=True)),
                ('secondTextBelowReceipt', models.CharField(blank=True, max_length=50, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Company Profiles',
            },
        ),
        migrations.CreateModel(
            name='Colors',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('color', models.CharField(max_length=25)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='batchpaleting',
            name='color',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='dashboard.colors'),
        ),
        migrations.AddField(
            model_name='batchpaleting',
            name='created_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='batchpaleting',
            name='product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='dashboard.productprice'),
        ),
        migrations.CreateModel(
            name='BankTransactionType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_updated', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modified_%(class)s_set', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Bank Transaction Types',
            },
        ),
        migrations.CreateModel(
            name='BankTransaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('transaction_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('notes', models.CharField(blank=True, max_length=125, null=True)),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('transacted_by', models.CharField(blank=True, max_length=64, null=True)),
                ('cheque_number', models.CharField(blank=True, max_length=50, null=True)),
                ('cheque_date', models.DateField(blank=True, null=True)),
                ('date_created', models.DateTimeField(default=django.utils.timezone.now)),
                ('bank_account', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.bankaccounts')),
                ('companylocation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.companylocation')),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='created_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('edited_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='edited_%(class)s_set', to=settings.AUTH_USER_MODEL)),
                ('payment_mode', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.paymentmode')),
                ('transaction_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='dashboard.banktransactiontype')),
            ],
            options={
                'verbose_name_plural': 'Bank Transactions',
            },
        ),
    ]
